
//DEFINING VARIABLES AND PARAMETERS

var
abh
acloeb
acloee
cb
ce
ch
d
he
hh
loe
nh
q
re
rh
wh
y  ;

varexo eps_bh;

parameters BETAH BETAE BETAB TAUH NU JEI MN MH GAMMAE FILOEE FILOEB LOE_SS RHO_ABH Y_SS;

BETAH   = 0.9925;   
BETAE   = 0.94;   
BETAB   = 0.945;   
TAUH    = 2;
NU      = 0.05;
JEI     = 0.075;
MN      = 1;
MH      = 0.9;
GAMMAE  = 0.9;
FILOEE  = 0.25;
FILOEB  = 0.25;
RHO_ABH = 0.9;
C0      = 0.5;
D0      = 0.5;
W0      = 1;
N0      = 0.3436;
Rh0     = 1.0075;
Re0     = 1.0104;
H0      = 0.2639;
q0      = 3;
L0      = 0.5;
Y0      = 0.5;


parametri=[BETAH BETAE BETAB TAUH NU JEI MN MH GAMMAE];
x0=[C0 D0 W0 N0 Rh0 Re0 H0 q0 L0 Y0];

options  = optimset('Display','iter');
[ss,Fval,exitflag] = fsolve('ssiacov',x0,options,parametri);

LOE_SS      =ss(9);
Y_SS    =ss(10);
CE=-ss(6)*ss(9)-ss(3)*ss(4)+ss(10)+ss(9);
CB=ss(2)+ss(6)*ss(9)-ss(5)*ss(2)-ss(9);
shock=0.0038*Y_SS;
xx=[ss CE CB]


//Equations

model;

//% Households
ch+d+q*(hh-hh(-1))=rh(-1)*d(-1)+wh*nh+abh;

1/ch=BETAH*rh*(1/(ch(+1)));

wh/ch=(TAUH/(1-nh));

q/ch=JEI/hh+BETAH*q(+1)/(ch(+1));



//% Banks
cb+rh(-1)*d(-1)+loe=d+re*loe(-1)-abh;

d=GAMMAE*(loe-abh);

(1-GAMMAE+acloeb)*(cb(+1))=BETAB*(re(+1)-GAMMAE*rh)*(cb);



//% Entrepreneurs
ce+q*(he-he(-1))+re*(loe(-1))+wh*nh=y+loe;

y=((he(-1))^NU)*(nh^(1-NU));

loe=MH*(q(+1)/(re(+1)))*he-MN*wh*nh;

(q-(1-acloee)*((MH*q(+1))/(re(+1))))*(1/ce)=
BETAE*(q(+1)*(1-MH)+NU*(y(+1)/he))*(1/(ce(+1)));


(1-NU)*y=wh*nh*(1+MN*(1-acloee-BETAE*re(+1)*ce/ce(+1)));

he+hh=1;

abh=RHO_ABH*abh(-1)+eps_bh;

acloeb = FILOEB*((loe)-(loe(-1)))/LOE_SS ;
acloee = FILOEE*((loe)-(loe(-1)))/LOE_SS;

end;

%write_latex_dynamic_model ;
%write_latex_static_model ;

initval;

ch=C0;//ss(1);
d=D0;//ss(2);
wh=W0;//ss(3);
nh=N0;//ss(4);
rh=Rh0;//ss(5);
re=Re0;//ss(6);
he=H0;//ss(7);
hh=0.8;//ss(7);
q=q0;//ss(8);
loe=L0;//ss(9);
y=Y0;//ss(10);
ce=0.01;//CE;
cb=0.01;//CB;
abh=0;
acloee=0;
acloeb=0;
end;

steady;

check;

shocks;
var eps_bh;
periods 1:12;
values 0.00116936;
end;



stoch_simul(order=1,irf=20,nomoments) y ce ch re rh abh ;

ex_=[  0.001169*ones(12,1); zeros(16,1)];
y0=oo_.dr.ys;
dr=oo_.dr;
iorder=1;
y_=simult_(y0,dr,ex_,iorder);



subplot(2,2,1)
plot((y_(16,2:end)/y_(16,1)-1)*100)
title('output,% from s.s.')
subplot(2,2,2)
plot(400*((y_(13,2:end)-(y_(14,2:end)))))
title('Annualized spread')
subplot(2,2,3)
plot((y_(1,2:end))/(y_(16,1))*100); hold on
plot(cumsum(y_(1,2:end))/(y_(16,1)*4)*100,'r-.')
legend('Loan Losses','Cumulated losses')
subplot(2,2,4)
plot((y_(12,2:end)/y_(12,1)-1)*100)
title('House Prices')
